package de.unikoblenz.fgbks.base.json;

import de.unikoblenz.fgbks.base.value.SimpleValueObject;
import javax.json.bind.serializer.JsonbSerializer;
import javax.json.bind.serializer.SerializationContext;
import javax.json.stream.JsonGenerator;

/**
 * A json serializer for simple value objects ({@link SimpleValueObject})
 */
public class JsonSimpleValueObjectSerializer implements JsonbSerializer<SimpleValueObject> {

  @Override
  public void serialize(SimpleValueObject obj, JsonGenerator generator, SerializationContext ctx) {
    ctx.serialize(obj.getValue(), generator);
  }
}
