package de.unikoblenz.fgbks.base.utils.boundary;

/**
 * This exception is thrown, if the {@link Boundary#checkWith}, {@link Boundary#create} or {@link
 * Boundary#createBi} operation can not be executed.
 */
public class BoundaryOperationNotSupportedException extends UnsupportedOperationException {

  public BoundaryOperationNotSupportedException() {
    super();
  }

  public BoundaryOperationNotSupportedException(String message) {
    super(message);
  }

  public BoundaryOperationNotSupportedException(String message, Throwable cause) {
    super(message, cause);
  }
}
